Update the Csat setting for a team
curl --request PATCH \
--url https://platform.thena.ai/v1/csat/team/{teamUid}/update \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"cooldownPeriodDays": 14,
"emailConfigId": "<string>",
"userCooldownPeriodDays": 14,
"closedStatusIds": [
"<string>"
]
}
'import requests
url = "https://platform.thena.ai/v1/csat/team/{teamUid}/update"
payload = {
"cooldownPeriodDays": 14,
"emailConfigId": "<string>",
"userCooldownPeriodDays": 14,
"closedStatusIds": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cooldownPeriodDays: 14,
emailConfigId: '<string>',
userCooldownPeriodDays: 14,
closedStatusIds: ['<string>']
})
};
fetch('https://platform.thena.ai/v1/csat/team/{teamUid}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ok": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"team": {
"id": "12345678910"
},
"organization": {
"id": "98765432110"
},
"isEnabled": true,
"cooldownPeriodDays": 21,
"userCooldownPeriodDays": 60,
"emailConfigId": "updated-email-config-456",
"closedStatusIds": [
"1",
"2",
"3",
"4"
],
"rules": [],
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-02T10:15:30.000Z"
}
},
"status": true,
"message": "Csat Setting updated successfully",
"timestamp": "2025-07-15T11:38:09.817Z"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Team not found",
"error": "Not Found"
}{
"statusCode": 500,
"message": "Internal Server Error",
"error": "Internal Server Error"
}{
"statusCode": 503,
"message": "Service Unavailable",
"error": "Service Unavailable"
}CSAT
Update the Csat setting for a team
PATCH
/
v1
/
csat
/
team
/
{teamUid}
/
update
Update the Csat setting for a team
Authorizations
Enter your API key
Path Parameters
Body
application/json
Cooldown period in days
Example:
14
The Email Config Id associated with the CSAT settings
The user cooldown period in days
Example:
14
The closed statuses associated with the CSAT settings
Response
Success - CSAT settings updated successfully
⌘I